#ifndef LOADBALANCER_H
#define LOADBALANCER_H

struct http_listener{
    char *name;
    char *url;
    int weight;
};

struct header{
    char *name;
    char *value;
};
#ifdef __cplusplus
extern "C" {
#endif

int lb_policy_init(struct http_listener listeners[], int noOfListeners);
char *lb_decision(int secure, char *url, struct header headers[], int noOfHeaders);

#ifdef __cplusplus
} 
#endif

#endif //LOADBALANCER_H

